#
# spec file for package mgp (Version 1.03a)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         mgp
Release:      0
Copyright:    GPL
Group: 
Provides:     mgp 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.03a
Summary:      MagicPoint - a X11-based presentation tool
Source:  ftp://ftp.mew.org/pub/MagicPoint/mgp-1.03a.tar.gz
# Patch:   
%description
MagicPoint is a X11-based presentation tool.  It is designed to make
simple presentations easy while to make complicated presentations
possible. Its presentation file (whose suffix is typically .mgp) is
just text so that you can create presentation files quickly with your
favorite editor (e.g. Emacs). The package also includes the tools mgp2html,
mgp2ps and mgp2latex, which convert mgp-Presentations into other file formats.

Authors:
--------
    Yoshifumi Nishida <nishida@sfc.wide.ad.jp>

%prep
%setup
# %patch
%build
./configure --prefix=/usr
xmkmf
make Makefiles
make
%install
install -d -m 755 /usr/X11R6/lib/X11/mgp
install -c -m 0444 sample/default.mgp /usr/X11R6/lib/X11/mgp/default.mgp
install -c -m 0444 sample/mgp1.gif /usr/X11R6/lib/X11/mgp/mgp1.gif
install -c -m 0444 sample/mgp2.gif /usr/X11R6/lib/X11/mgp/mgp2.gif
install -c -m 0444 sample/mgp3.gif /usr/X11R6/lib/X11/mgp/mgp3.gif
install -c -s mgp /usr/X11R6/bin/mgp
install -c -s mgp2ps /usr/bin/mgp2ps
install -c contrib/mgp2html.pl /usr/bin/mgp2html
install -c contrib/mgp2latex.pl /usr/bin/mgp2latex
install -c -s contrib/xwintoppm/xwintoppm /usr/X11R6/bin/xwintoppm
DOCDIR=/usr/doc/packages/mgp
DOC="COPYING COPYRIGHT README SYNTAX USAGE"
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}
install -d -m 777 ${DOCDIR}/sample
install -m 644 sample/README ${DOCDIR}/sample/
install -m 644 sample/*.mgp ${DOCDIR}/sample/
install -m 644 sample/*.gif ${DOCDIR}/sample/
install -m 644 sample/*.eps ${DOCDIR}/sample/
install -c -m 0444 mgp.man /usr/X11R6/man/man1/mgp.1x
install -c -m 0444 mgp2ps.man /usr/man/man1/mgp2ps.1x
install -c -m 0444 contrib/xwintoppm/xwintoppm.man /usr/X11R6/man/man1/xwintoppm.1x
Check
%files
%doc /usr/doc/packages/mgp
%doc /usr/X11R6/man/man1/mgp.1x.gz
%doc /usr/man/man1/mgp2ps.1x.gz
%doc /usr/X11R6/man/man1/xwintoppm.1x.gz
/usr/X11R6/lib/X11/mgp
/usr/X11R6/bin/mgp
/usr/X11R6/bin/xwintoppm
/usr/bin/mgp2ps
/usr/bin/mgp2html
/usr/bin/mgp2latex

